Subject: Rename the "Locale" sub package to "i18n"
Description

The Locale package will eventually contain more functionality than just handling the locale and CLDR. It also offers means to translate
labels and otherwise localize FLOW3 applications. Therefore this sub package is really about internationalization.

Associated revisions
Revision 6310c521 - 2010-07-13 16:07 - Karol Gusak

[~TASK] FLOW3 (I18n): Renamed Locale subpackage directory name to I18n. Relates to #8772.

Revision b577633e - 2010-07-13 16:15 - Karol Gusak

[~TASK] FLOW3 (I18n): Renamed Locale subpackage to I18n (completed). Resolves #8772.

Revision 1420244e - 2010-07-13 20:38 - Karol Gusak

[+BUGFIX] FLOW3 (I18n): Changed name Locale to I18n in configuration. Relates to #8772.

Revision 52d767ac - 2010-07-15 12:23 - Karsten Dambekalns

[~TASK] TYPO3: Adjusted use of Locale to I18n in sources, relates to #8772.
[~TASK] FLOW3: Adjusted use of Locale to I18n in sources, relates to #8772.

History
#1 - 2010-07-10 14:18 - Karol Gusak
- Status changed from New to Needs Feedback

It should be "I18n", not "i18n", right?

#2 - 2010-07-13 09:04 - Karsten Dambekalns

Karol Gusak wrote:

It should be "I18n", not "i18n", right?
Yes, good point. :)

#3 - 2010-07-13 15:26 - Karol Gusak
- Status changed from Needs Feedback to Accepted

#4 - 2010-07-13 16:19 - Karol Gusak
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4852.

#5 - 2010-07-13 17:25 - Bastian Waidelich

Hi Karol.
With this latest changes, FLOW3 dies with

#1184926175: Tried to configure unknown object "F3\FLOW3\Locale\Service" in package "FLOW3" 

Please make sure to rename "Locale" to "I18n" in Object.yaml too.

#6 - 2010-07-13 20:45 - Karol Gusak

Thank you for this catch-out, I've had the feeling that I forgot about something ;-). Should be OK now.
